-- SOURCE:   - Link:     ftp://ftp.unicode.org/Public/MAPPINGS/
--           - Name:     cp1252 to Unicode table
--           - Unicode:  version 2.0
--           - Date:     04/15/98
--           - Contact:  Shawn.Steele@microsoft.com
--           - Format:   The entries are in cp1252 order
-- FILE:     CP1252.E
-- PURPOSE:  Mapping Windows-Latin code page 1252 to Unicode code points.
-- AUTHOR:   Source edited by Shian Lee
-- VERSION:  1.00  December/17/2017
-- LANGUAGE: Euphoria version 3.1.1 (http://www.RapidEuphoria.com)
-- PLATFORM: Any
-- LICENCE:  Free. Use at your own risk.
-- NOTE:     * code 0 (NULL) is not mapped (it's identical in Unicode/cp1252).
--           * See the attached reference manual UTF8.DOC for details.
--           * Created using QE v2.3.9 for DOS (RapidEuphoria.com archive).
-- --------------------------------------------------------------------------



global constant CP1252 = {
--      Unicode -- CP1252 -- Unicode name

------- #0000,  -- 000 -- NULL -- *not* mapped since sequence is 1-based.
	#0001,  -- 001 -- START OF HEADING
	#0002,  -- 002 -- START OF TEXT
	#0003,  -- 003 -- END OF TEXT
	#0004,  -- 004 -- END OF TRANSMISSION
	#0005,  -- 005 -- ENQUIRY
	#0006,  -- 006 -- ACKNOWLEDGE
	#0007,  -- 007 -- BELL
	#0008,  -- 008 -- BACKSPACE
	#0009,  -- 009 -- HORIZONTAL TABULATION
	#000A,  -- 010 -- LINE FEED
	#000B,  -- 011 -- VERTICAL TABULATION
	#000C,  -- 012 -- FORM FEED
	#000D,  -- 013 -- CARRIAGE RETURN
	#000E,  -- 014 -- SHIFT OUT
	#000F,  -- 015 -- SHIFT IN
	#0010,  -- 016 -- DATA LINK ESCAPE
	#0011,  -- 017 -- DEVICE CONTROL ONE
	#0012,  -- 018 -- DEVICE CONTROL TWO
	#0013,  -- 019 -- DEVICE CONTROL THREE
	#0014,  -- 020 -- DEVICE CONTROL FOUR
	#0015,  -- 021 -- NEGATIVE ACKNOWLEDGE
	#0016,  -- 022 -- SYNCHRONOUS IDLE
	#0017,  -- 023 -- END OF TRANSMISSION BLOCK
	#0018,  -- 024 -- CANCEL
	#0019,  -- 025 -- END OF MEDIUM
	#001A,  -- 026 -- SUBSTITUTE
	#001B,  -- 027 -- ESCAPE
	#001C,  -- 028 -- FILE SEPARATOR
	#001D,  -- 029 -- GROUP SEPARATOR
	#001E,  -- 030 -- RECORD SEPARATOR
	#001F,  -- 031 -- UNIT SEPARATOR
	#0020,  -- 032 -- SPACE
	#0021,  -- 033 -- EXCLAMATION MARK
	#0022,  -- 034 -- QUOTATION MARK
	#0023,  -- 035 -- NUMBER SIGN
	#0024,  -- 036 -- DOLLAR SIGN
	#0025,  -- 037 -- PERCENT SIGN
	#0026,  -- 038 -- AMPERSAND
	#0027,  -- 039 -- APOSTROPHE
	#0028,  -- 040 -- LEFT PARENTHESIS
	#0029,  -- 041 -- RIGHT PARENTHESIS
	#002A,  -- 042 -- ASTERISK
	#002B,  -- 043 -- PLUS SIGN
	#002C,  -- 044 -- COMMA
	#002D,  -- 045 -- HYPHEN-MINUS
	#002E,  -- 046 -- FULL STOP
	#002F,  -- 047 -- SOLIDUS
	#0030,  -- 048 -- DIGIT ZERO
	#0031,  -- 049 -- DIGIT ONE
	#0032,  -- 050 -- DIGIT TWO
	#0033,  -- 051 -- DIGIT THREE
	#0034,  -- 052 -- DIGIT FOUR
	#0035,  -- 053 -- DIGIT FIVE
	#0036,  -- 054 -- DIGIT SIX
	#0037,  -- 055 -- DIGIT SEVEN
	#0038,  -- 056 -- DIGIT EIGHT
	#0039,  -- 057 -- DIGIT NINE
	#003A,  -- 058 -- COLON
	#003B,  -- 059 -- SEMICOLON
	#003C,  -- 060 -- LESS-THAN SIGN
	#003D,  -- 061 -- EQUALS SIGN
	#003E,  -- 062 -- GREATER-THAN SIGN
	#003F,  -- 063 -- QUESTION MARK
	#0040,  -- 064 -- COMMERCIAL AT
	#0041,  -- 065 -- LATIN CAPITAL LETTER A
	#0042,  -- 066 -- LATIN CAPITAL LETTER B
	#0043,  -- 067 -- LATIN CAPITAL LETTER C
	#0044,  -- 068 -- LATIN CAPITAL LETTER D
	#0045,  -- 069 -- LATIN CAPITAL LETTER E
	#0046,  -- 070 -- LATIN CAPITAL LETTER F
	#0047,  -- 071 -- LATIN CAPITAL LETTER G
	#0048,  -- 072 -- LATIN CAPITAL LETTER H
	#0049,  -- 073 -- LATIN CAPITAL LETTER I
	#004A,  -- 074 -- LATIN CAPITAL LETTER J
	#004B,  -- 075 -- LATIN CAPITAL LETTER K
	#004C,  -- 076 -- LATIN CAPITAL LETTER L
	#004D,  -- 077 -- LATIN CAPITAL LETTER M
	#004E,  -- 078 -- LATIN CAPITAL LETTER N
	#004F,  -- 079 -- LATIN CAPITAL LETTER O
	#0050,  -- 080 -- LATIN CAPITAL LETTER P
	#0051,  -- 081 -- LATIN CAPITAL LETTER Q
	#0052,  -- 082 -- LATIN CAPITAL LETTER R
	#0053,  -- 083 -- LATIN CAPITAL LETTER S
	#0054,  -- 084 -- LATIN CAPITAL LETTER T
	#0055,  -- 085 -- LATIN CAPITAL LETTER U
	#0056,  -- 086 -- LATIN CAPITAL LETTER V
	#0057,  -- 087 -- LATIN CAPITAL LETTER W
	#0058,  -- 088 -- LATIN CAPITAL LETTER X
	#0059,  -- 089 -- LATIN CAPITAL LETTER Y
	#005A,  -- 090 -- LATIN CAPITAL LETTER Z
	#005B,  -- 091 -- LEFT SQUARE BRACKET
	#005C,  -- 092 -- REVERSE SOLIDUS
	#005D,  -- 093 -- RIGHT SQUARE BRACKET
	#005E,  -- 094 -- CIRCUMFLEX ACCENT
	#005F,  -- 095 -- LOW LINE
	#0060,  -- 096 -- GRAVE ACCENT
	#0061,  -- 097 -- LATIN SMALL LETTER A
	#0062,  -- 098 -- LATIN SMALL LETTER B
	#0063,  -- 099 -- LATIN SMALL LETTER C
	#0064,  -- 100 -- LATIN SMALL LETTER D
	#0065,  -- 101 -- LATIN SMALL LETTER E
	#0066,  -- 102 -- LATIN SMALL LETTER F
	#0067,  -- 103 -- LATIN SMALL LETTER G
	#0068,  -- 104 -- LATIN SMALL LETTER H
	#0069,  -- 105 -- LATIN SMALL LETTER I
	#006A,  -- 106 -- LATIN SMALL LETTER J
	#006B,  -- 107 -- LATIN SMALL LETTER K
	#006C,  -- 108 -- LATIN SMALL LETTER L
	#006D,  -- 109 -- LATIN SMALL LETTER M
	#006E,  -- 110 -- LATIN SMALL LETTER N
	#006F,  -- 111 -- LATIN SMALL LETTER O
	#0070,  -- 112 -- LATIN SMALL LETTER P
	#0071,  -- 113 -- LATIN SMALL LETTER Q
	#0072,  -- 114 -- LATIN SMALL LETTER R
	#0073,  -- 115 -- LATIN SMALL LETTER S
	#0074,  -- 116 -- LATIN SMALL LETTER T
	#0075,  -- 117 -- LATIN SMALL LETTER U
	#0076,  -- 118 -- LATIN SMALL LETTER V
	#0077,  -- 119 -- LATIN SMALL LETTER W
	#0078,  -- 120 -- LATIN SMALL LETTER X
	#0079,  -- 121 -- LATIN SMALL LETTER Y
	#007A,  -- 122 -- LATIN SMALL LETTER Z
	#007B,  -- 123 -- LEFT CURLY BRACKET
	#007C,  -- 124 -- VERTICAL LINE
	#007D,  -- 125 -- RIGHT CURLY BRACKET
	#007E,  -- 126 -- TILDE
	#007F,  -- 127 -- DELETE
	#20AC,  -- 128 -- EURO SIGN
	#FFFD,  -- 129 -- UNDEFINED -- using replacement character U+FFFD
	#201A,  -- 130 -- SINGLE LOW-9 QUOTATION MARK
	#0192,  -- 131 -- LATIN SMALL LETTER F WITH HOOK
	#201E,  -- 132 -- DOUBLE LOW-9 QUOTATION MARK
	#2026,  -- 133 -- HORIZONTAL ELLIPSIS
	#2020,  -- 134 -- DAGGER
	#2021,  -- 135 -- DOUBLE DAGGER
	#02C6,  -- 136 -- MODIFIER LETTER CIRCUMFLEX ACCENT
	#2030,  -- 137 -- PER MILLE SIGN
	#0160,  -- 138 -- LATIN CAPITAL LETTER S WITH CARON
	#2039,  -- 139 -- SINGLE LEFT-POINTING ANGLE QUOTATION MARK
	#0152,  -- 140 -- LATIN CAPITAL LIGATURE OE
	#FFFD,  -- 141 -- UNDEFINED -- using replacement character U+FFFD
	#017D,  -- 142 -- LATIN CAPITAL LETTER Z WITH CARON
	#FFFD,  -- 143 -- UNDEFINED -- using replacement character U+FFFD
	#FFFD,  -- 144 -- UNDEFINED -- using replacement character U+FFFD
	#2018,  -- 145 -- LEFT SINGLE QUOTATION MARK
	#2019,  -- 146 -- RIGHT SINGLE QUOTATION MARK
	#201C,  -- 147 -- LEFT DOUBLE QUOTATION MARK
	#201D,  -- 148 -- RIGHT DOUBLE QUOTATION MARK
	#2022,  -- 149 -- BULLET
	#2013,  -- 150 -- EN DASH
	#2014,  -- 151 -- EM DASH
	#02DC,  -- 152 -- SMALL TILDE
	#2122,  -- 153 -- TRADE MARK SIGN
	#0161,  -- 154 -- LATIN SMALL LETTER S WITH CARON
	#203A,  -- 155 -- SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
	#0153,  -- 156 -- LATIN SMALL LIGATURE OE
	#FFFD,  -- 157 -- UNDEFINED -- using replacement character U+FFFD
	#017E,  -- 158 -- LATIN SMALL LETTER Z WITH CARON
	#0178,  -- 159 -- LATIN CAPITAL LETTER Y WITH DIAERESIS
	#00A0,  -- 160 -- NO-BREAK SPACE
	#00A1,  -- 161 -- INVERTED EXCLAMATION MARK
	#00A2,  -- 162 -- CENT SIGN
	#00A3,  -- 163 -- POUND SIGN
	#00A4,  -- 164 -- CURRENCY SIGN
	#00A5,  -- 165 -- YEN SIGN
	#00A6,  -- 166 -- BROKEN BAR
	#00A7,  -- 167 -- SECTION SIGN
	#00A8,  -- 168 -- DIAERESIS
	#00A9,  -- 169 -- COPYRIGHT SIGN
	#00AA,  -- 170 -- FEMININE ORDINAL INDICATOR
	#00AB,  -- 171 -- LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
	#00AC,  -- 172 -- NOT SIGN
	#00AD,  -- 173 -- SOFT HYPHEN
	#00AE,  -- 174 -- REGISTERED SIGN
	#00AF,  -- 175 -- MACRON
	#00B0,  -- 176 -- DEGREE SIGN
	#00B1,  -- 177 -- PLUS-MINUS SIGN
	#00B2,  -- 178 -- SUPERSCRIPT TWO
	#00B3,  -- 179 -- SUPERSCRIPT THREE
	#00B4,  -- 180 -- ACUTE ACCENT
	#00B5,  -- 181 -- MICRO SIGN
	#00B6,  -- 182 -- PILCROW SIGN
	#00B7,  -- 183 -- MIDDLE DOT
	#00B8,  -- 184 -- CEDILLA
	#00B9,  -- 185 -- SUPERSCRIPT ONE
	#00BA,  -- 186 -- MASCULINE ORDINAL INDICATOR
	#00BB,  -- 187 -- RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
	#00BC,  -- 188 -- VULGAR FRACTION ONE QUARTER
	#00BD,  -- 189 -- VULGAR FRACTION ONE HALF
	#00BE,  -- 190 -- VULGAR FRACTION THREE QUARTERS
	#00BF,  -- 191 -- INVERTED QUESTION MARK
	#00C0,  -- 192 -- LATIN CAPITAL LETTER A WITH GRAVE
	#00C1,  -- 193 -- LATIN CAPITAL LETTER A WITH ACUTE
	#00C2,  -- 194 -- LATIN CAPITAL LETTER A WITH CIRCUMFLEX
	#00C3,  -- 195 -- LATIN CAPITAL LETTER A WITH TILDE
	#00C4,  -- 196 -- LATIN CAPITAL LETTER A WITH DIAERESIS
	#00C5,  -- 197 -- LATIN CAPITAL LETTER A WITH RING ABOVE
	#00C6,  -- 198 -- LATIN CAPITAL LETTER AE
	#00C7,  -- 199 -- LATIN CAPITAL LETTER C WITH CEDILLA
	#00C8,  -- 200 -- LATIN CAPITAL LETTER E WITH GRAVE
	#00C9,  -- 201 -- LATIN CAPITAL LETTER E WITH ACUTE
	#00CA,  -- 202 -- LATIN CAPITAL LETTER E WITH CIRCUMFLEX
	#00CB,  -- 203 -- LATIN CAPITAL LETTER E WITH DIAERESIS
	#00CC,  -- 204 -- LATIN CAPITAL LETTER I WITH GRAVE
	#00CD,  -- 205 -- LATIN CAPITAL LETTER I WITH ACUTE
	#00CE,  -- 206 -- LATIN CAPITAL LETTER I WITH CIRCUMFLEX
	#00CF,  -- 207 -- LATIN CAPITAL LETTER I WITH DIAERESIS
	#00D0,  -- 208 -- LATIN CAPITAL LETTER ETH
	#00D1,  -- 209 -- LATIN CAPITAL LETTER N WITH TILDE
	#00D2,  -- 210 -- LATIN CAPITAL LETTER O WITH GRAVE
	#00D3,  -- 211 -- LATIN CAPITAL LETTER O WITH ACUTE
	#00D4,  -- 212 -- LATIN CAPITAL LETTER O WITH CIRCUMFLEX
	#00D5,  -- 213 -- LATIN CAPITAL LETTER O WITH TILDE
	#00D6,  -- 214 -- LATIN CAPITAL LETTER O WITH DIAERESIS
	#00D7,  -- 215 -- MULTIPLICATION SIGN
	#00D8,  -- 216 -- LATIN CAPITAL LETTER O WITH STROKE
	#00D9,  -- 217 -- LATIN CAPITAL LETTER U WITH GRAVE
	#00DA,  -- 218 -- LATIN CAPITAL LETTER U WITH ACUTE
	#00DB,  -- 219 -- LATIN CAPITAL LETTER U WITH CIRCUMFLEX
	#00DC,  -- 220 -- LATIN CAPITAL LETTER U WITH DIAERESIS
	#00DD,  -- 221 -- LATIN CAPITAL LETTER Y WITH ACUTE
	#00DE,  -- 222 -- LATIN CAPITAL LETTER THORN
	#00DF,  -- 223 -- LATIN SMALL LETTER SHARP S
	#00E0,  -- 224 -- LATIN SMALL LETTER A WITH GRAVE
	#00E1,  -- 225 -- LATIN SMALL LETTER A WITH ACUTE
	#00E2,  -- 226 -- LATIN SMALL LETTER A WITH CIRCUMFLEX
	#00E3,  -- 227 -- LATIN SMALL LETTER A WITH TILDE
	#00E4,  -- 228 -- LATIN SMALL LETTER A WITH DIAERESIS
	#00E5,  -- 229 -- LATIN SMALL LETTER A WITH RING ABOVE
	#00E6,  -- 230 -- LATIN SMALL LETTER AE
	#00E7,  -- 231 -- LATIN SMALL LETTER C WITH CEDILLA
	#00E8,  -- 232 -- LATIN SMALL LETTER E WITH GRAVE
	#00E9,  -- 233 -- LATIN SMALL LETTER E WITH ACUTE
	#00EA,  -- 234 -- LATIN SMALL LETTER E WITH CIRCUMFLEX
	#00EB,  -- 235 -- LATIN SMALL LETTER E WITH DIAERESIS
	#00EC,  -- 236 -- LATIN SMALL LETTER I WITH GRAVE
	#00ED,  -- 237 -- LATIN SMALL LETTER I WITH ACUTE
	#00EE,  -- 238 -- LATIN SMALL LETTER I WITH CIRCUMFLEX
	#00EF,  -- 239 -- LATIN SMALL LETTER I WITH DIAERESIS
	#00F0,  -- 240 -- LATIN SMALL LETTER ETH
	#00F1,  -- 241 -- LATIN SMALL LETTER N WITH TILDE
	#00F2,  -- 242 -- LATIN SMALL LETTER O WITH GRAVE
	#00F3,  -- 243 -- LATIN SMALL LETTER O WITH ACUTE
	#00F4,  -- 244 -- LATIN SMALL LETTER O WITH CIRCUMFLEX
	#00F5,  -- 245 -- LATIN SMALL LETTER O WITH TILDE
	#00F6,  -- 246 -- LATIN SMALL LETTER O WITH DIAERESIS
	#00F7,  -- 247 -- DIVISION SIGN
	#00F8,  -- 248 -- LATIN SMALL LETTER O WITH STROKE
	#00F9,  -- 249 -- LATIN SMALL LETTER U WITH GRAVE
	#00FA,  -- 250 -- LATIN SMALL LETTER U WITH ACUTE
	#00FB,  -- 251 -- LATIN SMALL LETTER U WITH CIRCUMFLEX
	#00FC,  -- 252 -- LATIN SMALL LETTER U WITH DIAERESIS
	#00FD,  -- 253 -- LATIN SMALL LETTER Y WITH ACUTE
	#00FE,  -- 254 -- LATIN SMALL LETTER THORN
	#00FF   -- 255 -- LATIN SMALL LETTER Y WITH DIAERESIS
}



-- End of file.
