-- SOURCE:   - Link:     ftp://ftp.unicode.org/Public/MAPPINGS/
--           - Name:     cp437_DOSLatinUS to Unicode table
--           - Unicode:  version 2.0
--           - Date:     04/24/96
--           - Contact:  Shawn.Steele@microsoft.com
--           - Format:   The entries are in cp437_DOSLatinUS order
-- FILE:     CP437.E
-- PURPOSE:  Mapping DOS-Latin-US code page 437 (IBM PC Standard) to
--           Unicode code points.
-- AUTHOR:   Source edited by Shian Lee
-- VERSION:  1.00  December/17/2017
-- LANGUAGE: Euphoria version 3.1.1 (http://www.RapidEuphoria.com)
-- PLATFORM: Any
-- LICENCE:  Free. Use at your own risk.
-- NOTE:     * code 0 (NULL) is not mapped (it's identical in Unicode/cp437).
--           * See the attached reference manual UTF8.DOC for details.
--           * Created using QE v2.3.9 for DOS (RapidEuphoria.com archive).
-- --------------------------------------------------------------------------



global constant CP437 = {
--      Unicode -- CP437 -- Unicode name

------- #0000,  -- 000 -- NULL -- *not* mapped since sequence is 1-based.
	#0001,  -- 001 -- START OF HEADING
	#0002,  -- 002 -- START OF TEXT
	#0003,  -- 003 -- END OF TEXT
	#0004,  -- 004 -- END OF TRANSMISSION
	#0005,  -- 005 -- ENQUIRY
	#0006,  -- 006 -- ACKNOWLEDGE
	#0007,  -- 007 -- BELL
	#0008,  -- 008 -- BACKSPACE
	#0009,  -- 009 -- HORIZONTAL TABULATION
	#000A,  -- 010 -- LINE FEED
	#000B,  -- 011 -- VERTICAL TABULATION
	#000C,  -- 012 -- FORM FEED
	#000D,  -- 013 -- CARRIAGE RETURN
	#000E,  -- 014 -- SHIFT OUT
	#000F,  -- 015 -- SHIFT IN
	#0010,  -- 016 -- DATA LINK ESCAPE
	#0011,  -- 017 -- DEVICE CONTROL ONE
	#0012,  -- 018 -- DEVICE CONTROL TWO
	#0013,  -- 019 -- DEVICE CONTROL THREE
	#0014,  -- 020 -- DEVICE CONTROL FOUR
	#0015,  -- 021 -- NEGATIVE ACKNOWLEDGE
	#0016,  -- 022 -- SYNCHRONOUS IDLE
	#0017,  -- 023 -- END OF TRANSMISSION BLOCK
	#0018,  -- 024 -- CANCEL
	#0019,  -- 025 -- END OF MEDIUM
	#001A,  -- 026 -- SUBSTITUTE
	#001B,  -- 027 -- ESCAPE
	#001C,  -- 028 -- FILE SEPARATOR
	#001D,  -- 029 -- GROUP SEPARATOR
	#001E,  -- 030 -- RECORD SEPARATOR
	#001F,  -- 031 -- UNIT SEPARATOR
	#0020,  -- 032 -- SPACE
	#0021,  -- 033 -- EXCLAMATION MARK
	#0022,  -- 034 -- QUOTATION MARK
	#0023,  -- 035 -- NUMBER SIGN
	#0024,  -- 036 -- DOLLAR SIGN
	#0025,  -- 037 -- PERCENT SIGN
	#0026,  -- 038 -- AMPERSAND
	#0027,  -- 039 -- APOSTROPHE
	#0028,  -- 040 -- LEFT PARENTHESIS
	#0029,  -- 041 -- RIGHT PARENTHESIS
	#002A,  -- 042 -- ASTERISK
	#002B,  -- 043 -- PLUS SIGN
	#002C,  -- 044 -- COMMA
	#002D,  -- 045 -- HYPHEN-MINUS
	#002E,  -- 046 -- FULL STOP
	#002F,  -- 047 -- SOLIDUS
	#0030,  -- 048 -- DIGIT ZERO
	#0031,  -- 049 -- DIGIT ONE
	#0032,  -- 050 -- DIGIT TWO
	#0033,  -- 051 -- DIGIT THREE
	#0034,  -- 052 -- DIGIT FOUR
	#0035,  -- 053 -- DIGIT FIVE
	#0036,  -- 054 -- DIGIT SIX
	#0037,  -- 055 -- DIGIT SEVEN
	#0038,  -- 056 -- DIGIT EIGHT
	#0039,  -- 057 -- DIGIT NINE
	#003A,  -- 058 -- COLON
	#003B,  -- 059 -- SEMICOLON
	#003C,  -- 060 -- LESS-THAN SIGN
	#003D,  -- 061 -- EQUALS SIGN
	#003E,  -- 062 -- GREATER-THAN SIGN
	#003F,  -- 063 -- QUESTION MARK
	#0040,  -- 064 -- COMMERCIAL AT
	#0041,  -- 065 -- LATIN CAPITAL LETTER A
	#0042,  -- 066 -- LATIN CAPITAL LETTER B
	#0043,  -- 067 -- LATIN CAPITAL LETTER C
	#0044,  -- 068 -- LATIN CAPITAL LETTER D
	#0045,  -- 069 -- LATIN CAPITAL LETTER E
	#0046,  -- 070 -- LATIN CAPITAL LETTER F
	#0047,  -- 071 -- LATIN CAPITAL LETTER G
	#0048,  -- 072 -- LATIN CAPITAL LETTER H
	#0049,  -- 073 -- LATIN CAPITAL LETTER I
	#004A,  -- 074 -- LATIN CAPITAL LETTER J
	#004B,  -- 075 -- LATIN CAPITAL LETTER K
	#004C,  -- 076 -- LATIN CAPITAL LETTER L
	#004D,  -- 077 -- LATIN CAPITAL LETTER M
	#004E,  -- 078 -- LATIN CAPITAL LETTER N
	#004F,  -- 079 -- LATIN CAPITAL LETTER O
	#0050,  -- 080 -- LATIN CAPITAL LETTER P
	#0051,  -- 081 -- LATIN CAPITAL LETTER Q
	#0052,  -- 082 -- LATIN CAPITAL LETTER R
	#0053,  -- 083 -- LATIN CAPITAL LETTER S
	#0054,  -- 084 -- LATIN CAPITAL LETTER T
	#0055,  -- 085 -- LATIN CAPITAL LETTER U
	#0056,  -- 086 -- LATIN CAPITAL LETTER V
	#0057,  -- 087 -- LATIN CAPITAL LETTER W
	#0058,  -- 088 -- LATIN CAPITAL LETTER X
	#0059,  -- 089 -- LATIN CAPITAL LETTER Y
	#005A,  -- 090 -- LATIN CAPITAL LETTER Z
	#005B,  -- 091 -- LEFT SQUARE BRACKET
	#005C,  -- 092 -- REVERSE SOLIDUS
	#005D,  -- 093 -- RIGHT SQUARE BRACKET
	#005E,  -- 094 -- CIRCUMFLEX ACCENT
	#005F,  -- 095 -- LOW LINE
	#0060,  -- 096 -- GRAVE ACCENT
	#0061,  -- 097 -- LATIN SMALL LETTER A
	#0062,  -- 098 -- LATIN SMALL LETTER B
	#0063,  -- 099 -- LATIN SMALL LETTER C
	#0064,  -- 100 -- LATIN SMALL LETTER D
	#0065,  -- 101 -- LATIN SMALL LETTER E
	#0066,  -- 102 -- LATIN SMALL LETTER F
	#0067,  -- 103 -- LATIN SMALL LETTER G
	#0068,  -- 104 -- LATIN SMALL LETTER H
	#0069,  -- 105 -- LATIN SMALL LETTER I
	#006A,  -- 106 -- LATIN SMALL LETTER J
	#006B,  -- 107 -- LATIN SMALL LETTER K
	#006C,  -- 108 -- LATIN SMALL LETTER L
	#006D,  -- 109 -- LATIN SMALL LETTER M
	#006E,  -- 110 -- LATIN SMALL LETTER N
	#006F,  -- 111 -- LATIN SMALL LETTER O
	#0070,  -- 112 -- LATIN SMALL LETTER P
	#0071,  -- 113 -- LATIN SMALL LETTER Q
	#0072,  -- 114 -- LATIN SMALL LETTER R
	#0073,  -- 115 -- LATIN SMALL LETTER S
	#0074,  -- 116 -- LATIN SMALL LETTER T
	#0075,  -- 117 -- LATIN SMALL LETTER U
	#0076,  -- 118 -- LATIN SMALL LETTER V
	#0077,  -- 119 -- LATIN SMALL LETTER W
	#0078,  -- 120 -- LATIN SMALL LETTER X
	#0079,  -- 121 -- LATIN SMALL LETTER Y
	#007A,  -- 122 -- LATIN SMALL LETTER Z
	#007B,  -- 123 -- LEFT CURLY BRACKET
	#007C,  -- 124 -- VERTICAL LINE
	#007D,  -- 125 -- RIGHT CURLY BRACKET
	#007E,  -- 126 -- TILDE
	#007F,  -- 127 -- DELETE
	#00C7,  -- 128 -- LATIN CAPITAL LETTER C WITH CEDILLA
	#00FC,  -- 129 -- LATIN SMALL LETTER U WITH DIAERESIS
	#00E9,  -- 130 -- LATIN SMALL LETTER E WITH ACUTE
	#00E2,  -- 131 -- LATIN SMALL LETTER A WITH CIRCUMFLEX
	#00E4,  -- 132 -- LATIN SMALL LETTER A WITH DIAERESIS
	#00E0,  -- 133 -- LATIN SMALL LETTER A WITH GRAVE
	#00E5,  -- 134 -- LATIN SMALL LETTER A WITH RING ABOVE
	#00E7,  -- 135 -- LATIN SMALL LETTER C WITH CEDILLA
	#00EA,  -- 136 -- LATIN SMALL LETTER E WITH CIRCUMFLEX
	#00EB,  -- 137 -- LATIN SMALL LETTER E WITH DIAERESIS
	#00E8,  -- 138 -- LATIN SMALL LETTER E WITH GRAVE
	#00EF,  -- 139 -- LATIN SMALL LETTER I WITH DIAERESIS
	#00EE,  -- 140 -- LATIN SMALL LETTER I WITH CIRCUMFLEX
	#00EC,  -- 141 -- LATIN SMALL LETTER I WITH GRAVE
	#00C4,  -- 142 -- LATIN CAPITAL LETTER A WITH DIAERESIS
	#00C5,  -- 143 -- LATIN CAPITAL LETTER A WITH RING ABOVE
	#00C9,  -- 144 -- LATIN CAPITAL LETTER E WITH ACUTE
	#00E6,  -- 145 -- LATIN SMALL LIGATURE AE
	#00C6,  -- 146 -- LATIN CAPITAL LIGATURE AE
	#00F4,  -- 147 -- LATIN SMALL LETTER O WITH CIRCUMFLEX
	#00F6,  -- 148 -- LATIN SMALL LETTER O WITH DIAERESIS
	#00F2,  -- 149 -- LATIN SMALL LETTER O WITH GRAVE
	#00FB,  -- 150 -- LATIN SMALL LETTER U WITH CIRCUMFLEX
	#00F9,  -- 151 -- LATIN SMALL LETTER U WITH GRAVE
	#00FF,  -- 152 -- LATIN SMALL LETTER Y WITH DIAERESIS
	#00D6,  -- 153 -- LATIN CAPITAL LETTER O WITH DIAERESIS
	#00DC,  -- 154 -- LATIN CAPITAL LETTER U WITH DIAERESIS
	#00A2,  -- 155 -- CENT SIGN
	#00A3,  -- 156 -- POUND SIGN
	#00A5,  -- 157 -- YEN SIGN
	#20A7,  -- 158 -- PESETA SIGN
	#0192,  -- 159 -- LATIN SMALL LETTER F WITH HOOK
	#00E1,  -- 160 -- LATIN SMALL LETTER A WITH ACUTE
	#00ED,  -- 161 -- LATIN SMALL LETTER I WITH ACUTE
	#00F3,  -- 162 -- LATIN SMALL LETTER O WITH ACUTE
	#00FA,  -- 163 -- LATIN SMALL LETTER U WITH ACUTE
	#00F1,  -- 164 -- LATIN SMALL LETTER N WITH TILDE
	#00D1,  -- 165 -- LATIN CAPITAL LETTER N WITH TILDE
	#00AA,  -- 166 -- FEMININE ORDINAL INDICATOR
	#00BA,  -- 167 -- MASCULINE ORDINAL INDICATOR
	#00BF,  -- 168 -- INVERTED QUESTION MARK
	#2310,  -- 169 -- REVERSED NOT SIGN
	#00AC,  -- 170 -- NOT SIGN
	#00BD,  -- 171 -- VULGAR FRACTION ONE HALF
	#00BC,  -- 172 -- VULGAR FRACTION ONE QUARTER
	#00A1,  -- 173 -- INVERTED EXCLAMATION MARK
	#00AB,  -- 174 -- LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
	#00BB,  -- 175 -- RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
	#2591,  -- 176 -- LIGHT SHADE
	#2592,  -- 177 -- MEDIUM SHADE
	#2593,  -- 178 -- DARK SHADE
	#2502,  -- 179 -- BOX DRAWINGS LIGHT VERTICAL
	#2524,  -- 180 -- BOX DRAWINGS LIGHT VERTICAL AND LEFT
	#2561,  -- 181 -- BOX DRAWINGS VERTICAL SINGLE AND LEFT DOUBLE
	#2562,  -- 182 -- BOX DRAWINGS VERTICAL DOUBLE AND LEFT SINGLE
	#2556,  -- 183 -- BOX DRAWINGS DOWN DOUBLE AND LEFT SINGLE
	#2555,  -- 184 -- BOX DRAWINGS DOWN SINGLE AND LEFT DOUBLE
	#2563,  -- 185 -- BOX DRAWINGS DOUBLE VERTICAL AND LEFT
	#2551,  -- 186 -- BOX DRAWINGS DOUBLE VERTICAL
	#2557,  -- 187 -- BOX DRAWINGS DOUBLE DOWN AND LEFT
	#255D,  -- 188 -- BOX DRAWINGS DOUBLE UP AND LEFT
	#255C,  -- 189 -- BOX DRAWINGS UP DOUBLE AND LEFT SINGLE
	#255B,  -- 190 -- BOX DRAWINGS UP SINGLE AND LEFT DOUBLE
	#2510,  -- 191 -- BOX DRAWINGS LIGHT DOWN AND LEFT
	#2514,  -- 192 -- BOX DRAWINGS LIGHT UP AND RIGHT
	#2534,  -- 193 -- BOX DRAWINGS LIGHT UP AND HORIZONTAL
	#252C,  -- 194 -- BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
	#251C,  -- 195 -- BOX DRAWINGS LIGHT VERTICAL AND RIGHT
	#2500,  -- 196 -- BOX DRAWINGS LIGHT HORIZONTAL
	#253C,  -- 197 -- BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
	#255E,  -- 198 -- BOX DRAWINGS VERTICAL SINGLE AND RIGHT DOUBLE
	#255F,  -- 199 -- BOX DRAWINGS VERTICAL DOUBLE AND RIGHT SINGLE
	#255A,  -- 200 -- BOX DRAWINGS DOUBLE UP AND RIGHT
	#2554,  -- 201 -- BOX DRAWINGS DOUBLE DOWN AND RIGHT
	#2569,  -- 202 -- BOX DRAWINGS DOUBLE UP AND HORIZONTAL
	#2566,  -- 203 -- BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL
	#2560,  -- 204 -- BOX DRAWINGS DOUBLE VERTICAL AND RIGHT
	#2550,  -- 205 -- BOX DRAWINGS DOUBLE HORIZONTAL
	#256C,  -- 206 -- BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL
	#2567,  -- 207 -- BOX DRAWINGS UP SINGLE AND HORIZONTAL DOUBLE
	#2568,  -- 208 -- BOX DRAWINGS UP DOUBLE AND HORIZONTAL SINGLE
	#2564,  -- 209 -- BOX DRAWINGS DOWN SINGLE AND HORIZONTAL DOUBLE
	#2565,  -- 210 -- BOX DRAWINGS DOWN DOUBLE AND HORIZONTAL SINGLE
	#2559,  -- 211 -- BOX DRAWINGS UP DOUBLE AND RIGHT SINGLE
	#2558,  -- 212 -- BOX DRAWINGS UP SINGLE AND RIGHT DOUBLE
	#2552,  -- 213 -- BOX DRAWINGS DOWN SINGLE AND RIGHT DOUBLE
	#2553,  -- 214 -- BOX DRAWINGS DOWN DOUBLE AND RIGHT SINGLE
	#256B,  -- 215 -- BOX DRAWINGS VERTICAL DOUBLE AND HORIZONTAL SINGLE
	#256A,  -- 216 -- BOX DRAWINGS VERTICAL SINGLE AND HORIZONTAL DOUBLE
	#2518,  -- 217 -- BOX DRAWINGS LIGHT UP AND LEFT
	#250C,  -- 218 -- BOX DRAWINGS LIGHT DOWN AND RIGHT
	#2588,  -- 219 -- FULL BLOCK
	#2584,  -- 220 -- LOWER HALF BLOCK
	#258C,  -- 221 -- LEFT HALF BLOCK
	#2590,  -- 222 -- RIGHT HALF BLOCK
	#2580,  -- 223 -- UPPER HALF BLOCK
	#03B1,  -- 224 -- GREEK SMALL LETTER ALPHA
	#00DF,  -- 225 -- LATIN SMALL LETTER SHARP S
	#0393,  -- 226 -- GREEK CAPITAL LETTER GAMMA
	#03C0,  -- 227 -- GREEK SMALL LETTER PI
	#03A3,  -- 228 -- GREEK CAPITAL LETTER SIGMA
	#03C3,  -- 229 -- GREEK SMALL LETTER SIGMA
	#00B5,  -- 230 -- MICRO SIGN
	#03C4,  -- 231 -- GREEK SMALL LETTER TAU
	#03A6,  -- 232 -- GREEK CAPITAL LETTER PHI
	#0398,  -- 233 -- GREEK CAPITAL LETTER THETA
	#03A9,  -- 234 -- GREEK CAPITAL LETTER OMEGA
	#03B4,  -- 235 -- GREEK SMALL LETTER DELTA
	#221E,  -- 236 -- INFINITY
	#03C6,  -- 237 -- GREEK SMALL LETTER PHI
	#03B5,  -- 238 -- GREEK SMALL LETTER EPSILON
	#2229,  -- 239 -- INTERSECTION
	#2261,  -- 240 -- IDENTICAL TO
	#00B1,  -- 241 -- PLUS-MINUS SIGN
	#2265,  -- 242 -- GREATER-THAN OR EQUAL TO
	#2264,  -- 243 -- LESS-THAN OR EQUAL TO
	#2320,  -- 244 -- TOP HALF INTEGRAL
	#2321,  -- 245 -- BOTTOM HALF INTEGRAL
	#00F7,  -- 246 -- DIVISION SIGN
	#2248,  -- 247 -- ALMOST EQUAL TO
	#00B0,  -- 248 -- DEGREE SIGN
	#2219,  -- 249 -- BULLET OPERATOR
	#00B7,  -- 250 -- MIDDLE DOT
	#221A,  -- 251 -- SQUARE ROOT
	#207F,  -- 252 -- SUPERSCRIPT LATIN SMALL LETTER N
	#00B2,  -- 253 -- SUPERSCRIPT TWO
	#25A0,  -- 254 -- BLACK SQUARE
	#00A0   -- 255 -- NO-BREAK SPACE
}



-- End of file.
